Bug 596352 - clvmd -d 2 does not fork
clvmd -d 2 does not fork
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: lvm2 (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Milan Broz
Corey Marthaler
:
Depends On:
Blocks: 596977
  Show dependency treegraph
 
Reported: 2010-05-26 12:11 EDT by Nate Straz
Modified: 2013-02-28 23:09 EST (History)
11 users (show)

See Also:
Fixed In Version: lvm2-2.02.82-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 10:25:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nate Straz 2010-05-26 12:11:23 EDT
Description of problem:

While trying to debug a startup hang I wanted to use the "-d 2" option to dump debug messages to syslog while starting up as normal.  Unfortunately clvmd does not run in the background in this case.

Version-Release number of selected component (if applicable):
lvm2-cluster-2.02.65-1.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1. clvmd -d 2
2. clvmd should continue running while returning you to the command prompt.
  
Actual results:
clvmd runs in the foreground

Expected results:
clvmd run in the background

Additional info:
Comment 1 Nate Straz 2010-05-26 12:12:00 EDT
From the man page for clvmd:

OPTIONS
       -d [<value>]
              Enable debug logging. Value can be 0, 1 or 2.
              0 disables debug logging in a running clvmd
              1 sends debug logs to stderr (clvmd will not fork in this case)
              2 sends debug logs to syslog
              If -d is specified without a value then 1 is assumed if you  are
              starting  a  new clvmd, 2 if you are enabling debug in a running
              clvmd.
Comment 2 Christine Caulfield 2010-05-26 12:17:35 EDT
The real problem is the -d is overloaded. there should be a separate flag to indicate to clvmd that it should not fork.
Comment 4 Nate Straz 2010-05-26 12:51:38 EDT
Can this be fixed as documented so I can debug startup timeouts?
Comment 5 RHEL Product and Program Management 2010-06-07 12:04:35 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 6 RHEL Product and Program Management 2010-07-15 10:30:11 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 8 Milan Broz 2010-11-16 09:03:54 EST
There should be new option (as already mentioned in comment #2).
Comment 9 Milan Broz 2011-01-17 14:40:58 EST
Proposed patch here
https://www.redhat.com/archives/lvm-devel/2011-January/msg00126.html
Comment 10 Peter Rajnoha 2011-01-27 08:34:32 EST
(In reply to comment #0)
> Steps to Reproduce:
> 1. clvmd -d 2
> 2. clvmd should continue running while returning you to the command prompt.

One important note:
Please be aware of the fact that you have to use "clvmd -d2" not "clvmd -d 2" (leave the space out!).
Comment 12 Corey Marthaler 2011-04-06 14:59:32 EDT
Fix verified in the latest rpms. 

* Note: like mentioned in comment #10, "clvmd -d2" not "clvmd -d 2" is what's required for this to work. "clvmd -d 2" evals to no argument, and thus is the same as -d1.


2.6.32-128.el6.x86_64

lvm2-2.02.83-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011
lvm2-libs-2.02.83-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011
lvm2-cluster-2.02.83-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011
udev-147-2.35.el6    BUILT: Wed Mar 30 07:32:05 CDT 2011
device-mapper-1.02.62-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011
device-mapper-libs-1.02.62-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011
device-mapper-event-1.02.62-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011
device-mapper-event-libs-1.02.62-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011
cmirror-2.02.83-3.el6    BUILT: Fri Mar 18 09:31:10 CDT 2011
Comment 13 errata-xmlrpc 2011-05-19 10:25:55 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0772.html

Note You need to log in before you can comment on or make changes to this bug.